public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen-jg/
@ 2023-01-15 14:16 Sam James
  0 siblings, 0 replies; 13+ messages in thread
From: Sam James @ 2023-01-15 14:16 UTC (permalink / raw
  To: gentoo-commits

commit:     481a8ac8c3c48ee23fb0472e28acc7bc40a94e0c
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Wed Dec 28 01:16:16 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan 15 14:16:13 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=481a8ac8

games-emulation/mednafen-jg: New package, v1.31.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-emulation/mednafen-jg/Manifest               |  1 +
 .../mednafen-jg/mednafen-jg-1.31.0.ebuild          | 67 ++++++++++++++++++++++
 .../mednafen-jg/mednafen-jg-9999.ebuild            | 67 ++++++++++++++++++++++
 games-emulation/mednafen-jg/metadata.xml           | 23 ++++++++
 4 files changed, 158 insertions(+)

diff --git a/games-emulation/mednafen-jg/Manifest b/games-emulation/mednafen-jg/Manifest
new file mode 100644
index 000000000000..26455fef4a44
--- /dev/null
+++ b/games-emulation/mednafen-jg/Manifest
@@ -0,0 +1 @@
+DIST mednafen-1.31.0.tar.bz2 4400375 BLAKE2B 691d449f55cf2702bdeed06470a1e56507ee09407929e1d742996f54212146a2cdd96e6e31a30ca8d94e807ea95c3a2766297df0f0a38e9c1d28e6615705b536 SHA512 908bdd717b916066f3fca46019fa70c789adf0b159250d3ea3b485ca30c8e41e1b86274bf857530943189461ec8165dcd5242456cbf2e259341731af33f00dfa

diff --git a/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild b/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
new file mode 100644
index 000000000000..0c98a116fa35
--- /dev/null
+++ b/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools toolchain-funcs
+
+MY_PN=${PN%-*}
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="Jolly Good Port of Mednafen"
+HOMEPAGE="https://gitlab.com/jgemu/mednafen"
+if [[ "${PV}" == *9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://gitlab.com/jgemu/${MY_PN}.git"
+else
+	SRC_URI="https://gitlab.com/jgemu/${MY_PN}/-/archive/${PV}/${MY_P}.tar.bz2"
+	S="${WORKDIR}/${MY_P}"
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="BSD GPL-2 GPL-2+ LGPL-2.1+ ZLIB"
+SLOT="1"
+
+DEPEND="
+	app-arch/zstd
+	dev-libs/lzo:2
+	>=dev-libs/trio-1.17
+	media-libs/flac
+	media-libs/jg:1=
+	sys-libs/zlib:=[minizip]
+"
+RDEPEND="
+	${DEPEND}
+	games-emulation/jgrf
+"
+BDEPEND="
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	default
+
+	cd jollygood/conf || die
+	eautoreconf
+}
+
+src_configure() {
+	cd jollygood/conf || die
+	econf
+}
+
+src_compile() {
+	emake -C jollygood \
+		CC="$(tc-getCC)" \
+		CXX="$(tc-getCXX)" \
+		PKG_CONFIG="$(tc-getPKG_CONFIG)" \
+		USE_EXTERNAL_TRIO=1
+}
+
+src_install() {
+	emake -C jollygood install \
+		DESTDIR="${D}" \
+		PREFIX="${EPREFIX}"/usr \
+		DOCDIR="${EPREFIX}"/usr/share/doc/${PF} \
+		LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+		USE_EXTERNAL_TRIO=1
+}

diff --git a/games-emulation/mednafen-jg/mednafen-jg-9999.ebuild b/games-emulation/mednafen-jg/mednafen-jg-9999.ebuild
new file mode 100644
index 000000000000..0c98a116fa35
--- /dev/null
+++ b/games-emulation/mednafen-jg/mednafen-jg-9999.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools toolchain-funcs
+
+MY_PN=${PN%-*}
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="Jolly Good Port of Mednafen"
+HOMEPAGE="https://gitlab.com/jgemu/mednafen"
+if [[ "${PV}" == *9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://gitlab.com/jgemu/${MY_PN}.git"
+else
+	SRC_URI="https://gitlab.com/jgemu/${MY_PN}/-/archive/${PV}/${MY_P}.tar.bz2"
+	S="${WORKDIR}/${MY_P}"
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="BSD GPL-2 GPL-2+ LGPL-2.1+ ZLIB"
+SLOT="1"
+
+DEPEND="
+	app-arch/zstd
+	dev-libs/lzo:2
+	>=dev-libs/trio-1.17
+	media-libs/flac
+	media-libs/jg:1=
+	sys-libs/zlib:=[minizip]
+"
+RDEPEND="
+	${DEPEND}
+	games-emulation/jgrf
+"
+BDEPEND="
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	default
+
+	cd jollygood/conf || die
+	eautoreconf
+}
+
+src_configure() {
+	cd jollygood/conf || die
+	econf
+}
+
+src_compile() {
+	emake -C jollygood \
+		CC="$(tc-getCC)" \
+		CXX="$(tc-getCXX)" \
+		PKG_CONFIG="$(tc-getPKG_CONFIG)" \
+		USE_EXTERNAL_TRIO=1
+}
+
+src_install() {
+	emake -C jollygood install \
+		DESTDIR="${D}" \
+		PREFIX="${EPREFIX}"/usr \
+		DOCDIR="${EPREFIX}"/usr/share/doc/${PF} \
+		LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+		USE_EXTERNAL_TRIO=1
+}

diff --git a/games-emulation/mednafen-jg/metadata.xml b/games-emulation/mednafen-jg/metadata.xml
new file mode 100644
index 000000000000..9e58d71f9c1a
--- /dev/null
+++ b/games-emulation/mednafen-jg/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM 'https://www.gentoo.org/dtd/metadata.dtd'>
+<pkgmetadata>
+	<maintainer type="person" proxied="yes">
+		<email>orbea@riseup.net</email>
+		<name>orbea</name>
+	</maintainer>
+	<maintainer type="project" proxied="proxy">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<longdescription>
+		The Jolly Good API port of Mednafen has emulators for
+		Atari Lynx, Nintendo Virtual Boy, NEC PC Engine/TurboGrafx-16
+		NEC PC Engine CD/TurboDuo, NEC SuperGrafx, Sony PlayStation
+		Sega Saturn, Super Nintendo Entertainment System/Super Famicom
+		SNK Neo Geo Pocket Color and Bandai WonderSwan/Color.
+	</longdescription>
+	<upstream>
+		<bugs-to>https://gitlab.com/jgemu/mednafen/-/issues</bugs-to>
+		<remote-id type="gitlab">jgemu/mednafen</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen-jg/
@ 2023-02-22  9:32 Sam James
  0 siblings, 0 replies; 13+ messages in thread
From: Sam James @ 2023-02-22  9:32 UTC (permalink / raw
  To: gentoo-commits

commit:     041f059aaede4a9a20d443c336c19a40b4865805
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 22 09:28:01 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Feb 22 09:28:01 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=041f059a

games-emulation/mednafen-jg: proxy orbea directly

I'll proxy directly.

Bug: https://bugs.gentoo.org/895856
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-emulation/mednafen-jg/metadata.xml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/games-emulation/mednafen-jg/metadata.xml b/games-emulation/mednafen-jg/metadata.xml
index 9e58d71f9c1a..56f2412511f5 100644
--- a/games-emulation/mednafen-jg/metadata.xml
+++ b/games-emulation/mednafen-jg/metadata.xml
@@ -5,9 +5,9 @@
 		<email>orbea@riseup.net</email>
 		<name>orbea</name>
 	</maintainer>
-	<maintainer type="project" proxied="proxy">
-		<email>proxy-maint@gentoo.org</email>
-		<name>Proxy Maintainers</name>
+	<maintainer type="person" proxied="proxy">
+		<email>sam@gentoo.org</email>
+		<name>Sam James</name>
 	</maintainer>
 	<longdescription>
 		The Jolly Good API port of Mednafen has emulators for


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen-jg/
@ 2023-09-13  3:20 Sam James
  0 siblings, 0 replies; 13+ messages in thread
From: Sam James @ 2023-09-13  3:20 UTC (permalink / raw
  To: gentoo-commits

commit:     4eed954eab0d27a861c1278e5e4109e2c780b890
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 13 03:19:39 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Sep 13 03:19:39 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4eed954e

games-emulation/mednafen-jg: Keyword 1.31.0 arm64, #891201

Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild b/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
index 0c98a116fa35..de0907c59b00 100644
--- a/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
+++ b/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022 Gentoo Authors
+# Copyright 2022-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -15,7 +15,7 @@ if [[ "${PV}" == *9999 ]] ; then
 else
 	SRC_URI="https://gitlab.com/jgemu/${MY_PN}/-/archive/${PV}/${MY_P}.tar.bz2"
 	S="${WORKDIR}/${MY_P}"
-	KEYWORDS="~amd64"
+	KEYWORDS="~amd64 ~arm64"
 fi
 
 LICENSE="BSD GPL-2 GPL-2+ LGPL-2.1+ ZLIB"


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen-jg/
@ 2023-09-17  8:56 Arthur Zamarin
  0 siblings, 0 replies; 13+ messages in thread
From: Arthur Zamarin @ 2023-09-17  8:56 UTC (permalink / raw
  To: gentoo-commits

commit:     370acdf2ebc09468e13eaba43bbc7b13e1b1c556
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 17 08:56:25 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Sep 17 08:56:37 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=370acdf2

games-emulation/mednafen-jg: Keyword 1.31.0 x86, #891201

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild b/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
index de0907c59b00..427d6b615d79 100644
--- a/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
+++ b/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
@@ -15,7 +15,7 @@ if [[ "${PV}" == *9999 ]] ; then
 else
 	SRC_URI="https://gitlab.com/jgemu/${MY_PN}/-/archive/${PV}/${MY_P}.tar.bz2"
 	S="${WORKDIR}/${MY_P}"
-	KEYWORDS="~amd64 ~arm64"
+	KEYWORDS="~amd64 ~arm64 ~x86"
 fi
 
 LICENSE="BSD GPL-2 GPL-2+ LGPL-2.1+ ZLIB"


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen-jg/
@ 2023-12-02  9:24 Arthur Zamarin
  0 siblings, 0 replies; 13+ messages in thread
From: Arthur Zamarin @ 2023-12-02  9:24 UTC (permalink / raw
  To: gentoo-commits

commit:     7dd7fd001a1b2f3ae2a9c757c4bdc3a79f219739
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Dec  2 09:23:07 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Dec  2 09:23:07 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7dd7fd00

games-emulation/mednafen-jg: Keyword 1.31.0 ppc, #891201

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild b/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
index 427d6b615d79..abd4de82e60a 100644
--- a/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
+++ b/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
@@ -15,7 +15,7 @@ if [[ "${PV}" == *9999 ]] ; then
 else
 	SRC_URI="https://gitlab.com/jgemu/${MY_PN}/-/archive/${PV}/${MY_P}.tar.bz2"
 	S="${WORKDIR}/${MY_P}"
-	KEYWORDS="~amd64 ~arm64 ~x86"
+	KEYWORDS="~amd64 ~arm64 ~ppc ~x86"
 fi
 
 LICENSE="BSD GPL-2 GPL-2+ LGPL-2.1+ ZLIB"


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen-jg/
@ 2023-12-03  7:42 Sam James
  0 siblings, 0 replies; 13+ messages in thread
From: Sam James @ 2023-12-03  7:42 UTC (permalink / raw
  To: gentoo-commits

commit:     fa511a909bae7c82ef0dd830f0f0f27f51148805
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Dec  3 07:41:30 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Dec  3 07:41:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa511a90

games-emulation/mednafen-jg: Keyword 1.31.0 ppc64, #891201

Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild b/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
index abd4de82e60a..221f37eb728a 100644
--- a/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
+++ b/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
@@ -15,7 +15,7 @@ if [[ "${PV}" == *9999 ]] ; then
 else
 	SRC_URI="https://gitlab.com/jgemu/${MY_PN}/-/archive/${PV}/${MY_P}.tar.bz2"
 	S="${WORKDIR}/${MY_P}"
-	KEYWORDS="~amd64 ~arm64 ~ppc ~x86"
+	KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86"
 fi
 
 LICENSE="BSD GPL-2 GPL-2+ LGPL-2.1+ ZLIB"


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen-jg/
@ 2024-01-05  5:24 Sam James
  0 siblings, 0 replies; 13+ messages in thread
From: Sam James @ 2024-01-05  5:24 UTC (permalink / raw
  To: gentoo-commits

commit:     8625fc0f300c42c98d8db1c029ebcbe682d009e2
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Wed Dec 20 04:46:15 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan  5 05:24:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8625fc0f

games-emulation/mednafen-jg: add cpu_flags_x86_avx

Signed-off-by: orbea <orbea <AT> riseup.net>
Closes: https://github.com/gentoo/gentoo/pull/34381
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-emulation/mednafen-jg/mednafen-jg-9999.ebuild | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/games-emulation/mednafen-jg/mednafen-jg-9999.ebuild b/games-emulation/mednafen-jg/mednafen-jg-9999.ebuild
index 0c98a116fa35..9949818d7a2d 100644
--- a/games-emulation/mednafen-jg/mednafen-jg-9999.ebuild
+++ b/games-emulation/mednafen-jg/mednafen-jg-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022 Gentoo Authors
+# Copyright 2022-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -15,11 +15,12 @@ if [[ "${PV}" == *9999 ]] ; then
 else
 	SRC_URI="https://gitlab.com/jgemu/${MY_PN}/-/archive/${PV}/${MY_P}.tar.bz2"
 	S="${WORKDIR}/${MY_P}"
-	KEYWORDS="~amd64"
+	KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86"
 fi
 
 LICENSE="BSD GPL-2 GPL-2+ LGPL-2.1+ ZLIB"
 SLOT="1"
+IUSE="cpu_flags_x86_avx"
 
 DEPEND="
 	app-arch/zstd
@@ -46,7 +47,7 @@ src_prepare() {
 
 src_configure() {
 	cd jollygood/conf || die
-	econf
+	econf $(use_enable cpu_flags_x86_avx avx)
 }
 
 src_compile() {


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen-jg/
@ 2024-01-06 19:30 Viorel Munteanu
  0 siblings, 0 replies; 13+ messages in thread
From: Viorel Munteanu @ 2024-01-06 19:30 UTC (permalink / raw
  To: gentoo-commits

commit:     354e213eb21c2670cc7199d45ddce7d395ffa090
Author:     Matoro Mahri <matoro_gentoo <AT> matoro <DOT> tk>
AuthorDate: Fri Jan  5 18:44:08 2024 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Sat Jan  6 19:29:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=354e213e

games-emulation/mednafen-jg: Keyword 1.31.0 arm, #891201

Signed-off-by: Matoro Mahri <matoro_gentoo <AT> matoro.tk>
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild b/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
index 221f37eb728a..5e9c6ff7b616 100644
--- a/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
+++ b/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2023 Gentoo Authors
+# Copyright 2022-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -15,7 +15,7 @@ if [[ "${PV}" == *9999 ]] ; then
 else
 	SRC_URI="https://gitlab.com/jgemu/${MY_PN}/-/archive/${PV}/${MY_P}.tar.bz2"
 	S="${WORKDIR}/${MY_P}"
-	KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
 fi
 
 LICENSE="BSD GPL-2 GPL-2+ LGPL-2.1+ ZLIB"


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen-jg/
@ 2024-01-21  4:02 Sam James
  0 siblings, 0 replies; 13+ messages in thread
From: Sam James @ 2024-01-21  4:02 UTC (permalink / raw
  To: gentoo-commits

commit:     b2967d6aa8b9bb15ff4ace5b8da3f1594fd4ce22
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Tue Jan  9 21:03:30 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan 21 03:59:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2967d6a

games-emulation/mednafen-jg: add 1.32.0

Signed-off-by: orbea <orbea <AT> riseup.net>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-emulation/mednafen-jg/Manifest               |  1 +
 .../mednafen-jg/mednafen-jg-1.32.0.ebuild          | 68 ++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/games-emulation/mednafen-jg/Manifest b/games-emulation/mednafen-jg/Manifest
index 26455fef4a44..8aa3b34b6bba 100644
--- a/games-emulation/mednafen-jg/Manifest
+++ b/games-emulation/mednafen-jg/Manifest
@@ -1 +1,2 @@
 DIST mednafen-1.31.0.tar.bz2 4400375 BLAKE2B 691d449f55cf2702bdeed06470a1e56507ee09407929e1d742996f54212146a2cdd96e6e31a30ca8d94e807ea95c3a2766297df0f0a38e9c1d28e6615705b536 SHA512 908bdd717b916066f3fca46019fa70c789adf0b159250d3ea3b485ca30c8e41e1b86274bf857530943189461ec8165dcd5242456cbf2e259341731af33f00dfa
+DIST mednafen-1.32.0.tar.bz2 4427616 BLAKE2B 71a210de8fc3de9169c1f839b942ccf83adeca66863868db4eaba1290c31eb874c7a941a19b5d7ae79464f505e785c5c45949f497b1ba5fc98449dcecad19b47 SHA512 9f4b4afa493c4f08c7c6d6867f58f267f60e1d9c7a341f187c8f7b048a894e532f507a484d2bf12e68156625388923e7091e555c43ef0dd5547e644c8a8c4fea

diff --git a/games-emulation/mednafen-jg/mednafen-jg-1.32.0.ebuild b/games-emulation/mednafen-jg/mednafen-jg-1.32.0.ebuild
new file mode 100644
index 000000000000..20d7f90f9bd8
--- /dev/null
+++ b/games-emulation/mednafen-jg/mednafen-jg-1.32.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools toolchain-funcs
+
+MY_PN=${PN%-*}
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="Jolly Good Port of Mednafen"
+HOMEPAGE="https://gitlab.com/jgemu/mednafen"
+if [[ "${PV}" == *9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://gitlab.com/jgemu/${MY_PN}.git"
+else
+	SRC_URI="https://gitlab.com/jgemu/${MY_PN}/-/archive/${PV}/${MY_P}.tar.bz2"
+	S="${WORKDIR}/${MY_P}"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+fi
+
+LICENSE="BSD GPL-2 GPL-2+ LGPL-2.1+ ZLIB"
+SLOT="1"
+IUSE="cpu_flags_x86_avx"
+
+DEPEND="
+	app-arch/zstd
+	dev-libs/lzo:2
+	>=dev-libs/trio-1.17
+	media-libs/flac
+	media-libs/jg:1=
+	sys-libs/zlib:=[minizip]
+"
+RDEPEND="
+	${DEPEND}
+	games-emulation/jgrf
+"
+BDEPEND="
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	default
+
+	cd jollygood/conf || die
+	eautoreconf
+}
+
+src_configure() {
+	cd jollygood/conf || die
+	econf $(use_enable cpu_flags_x86_avx avx)
+}
+
+src_compile() {
+	emake -C jollygood \
+		CC="$(tc-getCC)" \
+		CXX="$(tc-getCXX)" \
+		PKG_CONFIG="$(tc-getPKG_CONFIG)" \
+		USE_EXTERNAL_TRIO=1
+}
+
+src_install() {
+	emake -C jollygood install \
+		DESTDIR="${D}" \
+		PREFIX="${EPREFIX}"/usr \
+		DOCDIR="${EPREFIX}"/usr/share/doc/${PF} \
+		LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+		USE_EXTERNAL_TRIO=1
+}


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen-jg/
@ 2024-01-21  4:02 Sam James
  0 siblings, 0 replies; 13+ messages in thread
From: Sam James @ 2024-01-21  4:02 UTC (permalink / raw
  To: gentoo-commits

commit:     ec4e03ae175cf1b5d2181abaf3ba2be9c812e765
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Tue Jan  9 21:01:15 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan 21 03:59:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec4e03ae

games-emulation/mednafen-jg: sync keywords

Signed-off-by: orbea <orbea <AT> riseup.net>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-emulation/mednafen-jg/mednafen-jg-9999.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/games-emulation/mednafen-jg/mednafen-jg-9999.ebuild b/games-emulation/mednafen-jg/mednafen-jg-9999.ebuild
index 9949818d7a2d..20d7f90f9bd8 100644
--- a/games-emulation/mednafen-jg/mednafen-jg-9999.ebuild
+++ b/games-emulation/mednafen-jg/mednafen-jg-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2023 Gentoo Authors
+# Copyright 2022-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -15,7 +15,7 @@ if [[ "${PV}" == *9999 ]] ; then
 else
 	SRC_URI="https://gitlab.com/jgemu/${MY_PN}/-/archive/${PV}/${MY_P}.tar.bz2"
 	S="${WORKDIR}/${MY_P}"
-	KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
 fi
 
 LICENSE="BSD GPL-2 GPL-2+ LGPL-2.1+ ZLIB"


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen-jg/
@ 2024-02-24  7:06 Joonas Niilola
  0 siblings, 0 replies; 13+ messages in thread
From: Joonas Niilola @ 2024-02-24  7:06 UTC (permalink / raw
  To: gentoo-commits

commit:     9f87f1126cc291b0275205028a5dacd3b6cc3c54
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Sat Feb 24 00:14:29 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Feb 24 07:06:14 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f87f112

games-emulation/mednafen-jg: update maintainers

Signed-off-by: orbea <orbea <AT> riseup.net>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 games-emulation/mednafen-jg/metadata.xml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/games-emulation/mednafen-jg/metadata.xml b/games-emulation/mednafen-jg/metadata.xml
index 56f2412511f5..9e58d71f9c1a 100644
--- a/games-emulation/mednafen-jg/metadata.xml
+++ b/games-emulation/mednafen-jg/metadata.xml
@@ -5,9 +5,9 @@
 		<email>orbea@riseup.net</email>
 		<name>orbea</name>
 	</maintainer>
-	<maintainer type="person" proxied="proxy">
-		<email>sam@gentoo.org</email>
-		<name>Sam James</name>
+	<maintainer type="project" proxied="proxy">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
 	</maintainer>
 	<longdescription>
 		The Jolly Good API port of Mednafen has emulators for


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen-jg/
@ 2024-04-29  8:46 Joonas Niilola
  0 siblings, 0 replies; 13+ messages in thread
From: Joonas Niilola @ 2024-04-29  8:46 UTC (permalink / raw
  To: gentoo-commits

commit:     379d4781663b3e0ff2da3db9b297415f6ce1607c
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Sat Apr  6 01:02:13 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Apr 29 08:45:19 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=379d4781

games-emulation/mednafen-jg: drop 1.31.0

Signed-off-by: orbea <orbea <AT> riseup.net>
Closes: https://github.com/gentoo/gentoo/pull/35976
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 games-emulation/mednafen-jg/Manifest               |  1 -
 .../mednafen-jg/mednafen-jg-1.31.0.ebuild          | 67 ----------------------
 2 files changed, 68 deletions(-)

diff --git a/games-emulation/mednafen-jg/Manifest b/games-emulation/mednafen-jg/Manifest
index 42a33ddd0518..16df541909b1 100644
--- a/games-emulation/mednafen-jg/Manifest
+++ b/games-emulation/mednafen-jg/Manifest
@@ -1,3 +1,2 @@
-DIST mednafen-1.31.0.tar.bz2 4400375 BLAKE2B 691d449f55cf2702bdeed06470a1e56507ee09407929e1d742996f54212146a2cdd96e6e31a30ca8d94e807ea95c3a2766297df0f0a38e9c1d28e6615705b536 SHA512 908bdd717b916066f3fca46019fa70c789adf0b159250d3ea3b485ca30c8e41e1b86274bf857530943189461ec8165dcd5242456cbf2e259341731af33f00dfa
 DIST mednafen-1.32.0.tar.bz2 4427616 BLAKE2B 71a210de8fc3de9169c1f839b942ccf83adeca66863868db4eaba1290c31eb874c7a941a19b5d7ae79464f505e785c5c45949f497b1ba5fc98449dcecad19b47 SHA512 9f4b4afa493c4f08c7c6d6867f58f267f60e1d9c7a341f187c8f7b048a894e532f507a484d2bf12e68156625388923e7091e555c43ef0dd5547e644c8a8c4fea
 DIST mednafen-1.32.1.tar.bz2 4428510 BLAKE2B b85ef506e9d0f76b08469f12dc1f57e0cdb789c9b36b50ad03ed1dbbc9640e2109a37f639acb5d9f7f8d17f97f9aca97700c75ffcfcd53c3a8098fb7f0d3d128 SHA512 1cbf88a3f95ead46cd4e106a701e7adefd54cd1869394e6e907f89370ba434b3999d8a5372e5f2ded43135716aed739fb5313f680687de20f1c4b8e74af54b60

diff --git a/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild b/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
deleted file mode 100644
index 5e9c6ff7b616..000000000000
--- a/games-emulation/mednafen-jg/mednafen-jg-1.31.0.ebuild
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 2022-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit autotools toolchain-funcs
-
-MY_PN=${PN%-*}
-MY_P=${MY_PN}-${PV}
-DESCRIPTION="Jolly Good Port of Mednafen"
-HOMEPAGE="https://gitlab.com/jgemu/mednafen"
-if [[ "${PV}" == *9999 ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://gitlab.com/jgemu/${MY_PN}.git"
-else
-	SRC_URI="https://gitlab.com/jgemu/${MY_PN}/-/archive/${PV}/${MY_P}.tar.bz2"
-	S="${WORKDIR}/${MY_P}"
-	KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
-fi
-
-LICENSE="BSD GPL-2 GPL-2+ LGPL-2.1+ ZLIB"
-SLOT="1"
-
-DEPEND="
-	app-arch/zstd
-	dev-libs/lzo:2
-	>=dev-libs/trio-1.17
-	media-libs/flac
-	media-libs/jg:1=
-	sys-libs/zlib:=[minizip]
-"
-RDEPEND="
-	${DEPEND}
-	games-emulation/jgrf
-"
-BDEPEND="
-	virtual/pkgconfig
-"
-
-src_prepare() {
-	default
-
-	cd jollygood/conf || die
-	eautoreconf
-}
-
-src_configure() {
-	cd jollygood/conf || die
-	econf
-}
-
-src_compile() {
-	emake -C jollygood \
-		CC="$(tc-getCC)" \
-		CXX="$(tc-getCXX)" \
-		PKG_CONFIG="$(tc-getPKG_CONFIG)" \
-		USE_EXTERNAL_TRIO=1
-}
-
-src_install() {
-	emake -C jollygood install \
-		DESTDIR="${D}" \
-		PREFIX="${EPREFIX}"/usr \
-		DOCDIR="${EPREFIX}"/usr/share/doc/${PF} \
-		LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
-		USE_EXTERNAL_TRIO=1
-}


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen-jg/
@ 2024-04-29  8:46 Joonas Niilola
  0 siblings, 0 replies; 13+ messages in thread
From: Joonas Niilola @ 2024-04-29  8:46 UTC (permalink / raw
  To: gentoo-commits

commit:     625db2bd3caa75a925e730e561f3a86544632e42
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Sat Apr  6 01:00:24 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Apr 29 08:45:19 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=625db2bd

games-emulation/mednafen-jg: add 1.32.1

Signed-off-by: orbea <orbea <AT> riseup.net>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 games-emulation/mednafen-jg/Manifest               |  1 +
 .../mednafen-jg/mednafen-jg-1.32.1.ebuild          | 68 ++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/games-emulation/mednafen-jg/Manifest b/games-emulation/mednafen-jg/Manifest
index 8aa3b34b6bba..42a33ddd0518 100644
--- a/games-emulation/mednafen-jg/Manifest
+++ b/games-emulation/mednafen-jg/Manifest
@@ -1,2 +1,3 @@
 DIST mednafen-1.31.0.tar.bz2 4400375 BLAKE2B 691d449f55cf2702bdeed06470a1e56507ee09407929e1d742996f54212146a2cdd96e6e31a30ca8d94e807ea95c3a2766297df0f0a38e9c1d28e6615705b536 SHA512 908bdd717b916066f3fca46019fa70c789adf0b159250d3ea3b485ca30c8e41e1b86274bf857530943189461ec8165dcd5242456cbf2e259341731af33f00dfa
 DIST mednafen-1.32.0.tar.bz2 4427616 BLAKE2B 71a210de8fc3de9169c1f839b942ccf83adeca66863868db4eaba1290c31eb874c7a941a19b5d7ae79464f505e785c5c45949f497b1ba5fc98449dcecad19b47 SHA512 9f4b4afa493c4f08c7c6d6867f58f267f60e1d9c7a341f187c8f7b048a894e532f507a484d2bf12e68156625388923e7091e555c43ef0dd5547e644c8a8c4fea
+DIST mednafen-1.32.1.tar.bz2 4428510 BLAKE2B b85ef506e9d0f76b08469f12dc1f57e0cdb789c9b36b50ad03ed1dbbc9640e2109a37f639acb5d9f7f8d17f97f9aca97700c75ffcfcd53c3a8098fb7f0d3d128 SHA512 1cbf88a3f95ead46cd4e106a701e7adefd54cd1869394e6e907f89370ba434b3999d8a5372e5f2ded43135716aed739fb5313f680687de20f1c4b8e74af54b60

diff --git a/games-emulation/mednafen-jg/mednafen-jg-1.32.1.ebuild b/games-emulation/mednafen-jg/mednafen-jg-1.32.1.ebuild
new file mode 100644
index 000000000000..20d7f90f9bd8
--- /dev/null
+++ b/games-emulation/mednafen-jg/mednafen-jg-1.32.1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools toolchain-funcs
+
+MY_PN=${PN%-*}
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="Jolly Good Port of Mednafen"
+HOMEPAGE="https://gitlab.com/jgemu/mednafen"
+if [[ "${PV}" == *9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://gitlab.com/jgemu/${MY_PN}.git"
+else
+	SRC_URI="https://gitlab.com/jgemu/${MY_PN}/-/archive/${PV}/${MY_P}.tar.bz2"
+	S="${WORKDIR}/${MY_P}"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+fi
+
+LICENSE="BSD GPL-2 GPL-2+ LGPL-2.1+ ZLIB"
+SLOT="1"
+IUSE="cpu_flags_x86_avx"
+
+DEPEND="
+	app-arch/zstd
+	dev-libs/lzo:2
+	>=dev-libs/trio-1.17
+	media-libs/flac
+	media-libs/jg:1=
+	sys-libs/zlib:=[minizip]
+"
+RDEPEND="
+	${DEPEND}
+	games-emulation/jgrf
+"
+BDEPEND="
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	default
+
+	cd jollygood/conf || die
+	eautoreconf
+}
+
+src_configure() {
+	cd jollygood/conf || die
+	econf $(use_enable cpu_flags_x86_avx avx)
+}
+
+src_compile() {
+	emake -C jollygood \
+		CC="$(tc-getCC)" \
+		CXX="$(tc-getCXX)" \
+		PKG_CONFIG="$(tc-getPKG_CONFIG)" \
+		USE_EXTERNAL_TRIO=1
+}
+
+src_install() {
+	emake -C jollygood install \
+		DESTDIR="${D}" \
+		PREFIX="${EPREFIX}"/usr \
+		DOCDIR="${EPREFIX}"/usr/share/doc/${PF} \
+		LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+		USE_EXTERNAL_TRIO=1
+}


^ permalink raw reply related	[flat|nested] 13+ messages in thread

end of thread, other threads:[~2024-04-29  8:46 UTC | newest]

Thread overview: 13+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-01-05  5:24 [gentoo-commits] repo/gentoo:master commit in: games-emulation/mednafen-jg/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2024-04-29  8:46 Joonas Niilola
2024-04-29  8:46 Joonas Niilola
2024-02-24  7:06 Joonas Niilola
2024-01-21  4:02 Sam James
2024-01-21  4:02 Sam James
2024-01-06 19:30 Viorel Munteanu
2023-12-03  7:42 Sam James
2023-12-02  9:24 Arthur Zamarin
2023-09-17  8:56 Arthur Zamarin
2023-09-13  3:20 Sam James
2023-02-22  9:32 Sam James
2023-01-15 14:16 Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox